Bug Hunting Session
Bug 54355 - VIEWING: Connector copied from Draw horizontally shifted and disconnected after zoom
Summary: VIEWING: Connector copied from Draw horizontally shifted and disconnected aft...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Connectors
  Show dependency treegraph
 
Reported: 2012-09-01 16:35 UTC by Lekow
Modified: 2019-10-13 02:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Connector's position before and after zoom change (2.32 KB, image/png)
2012-09-01 16:35 UTC, Lekow
Details
Sample document (9.22 KB, application/vnd.oasis.opendocument.text)
2012-09-25 05:38 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lekow 2012-09-01 16:35:48 UTC
Created attachment 66452 [details]
Connector's position before and after zoom change

Connector lines copied from Draw lose their position when document is zooming. 

Steps to reproduce:
1. In Draw create any connector line. Copy it to clipboard.
2. In Writer draw two figures, e.g. two rectangles.
3. Paste connector to Writer and adjust its start and end points to connect rectangles.
4. Try to zoom in or zoom out the document. The connector moves to the left or to the right. Any movement of rectangles cause the connector's jump back to the right position.

LO 3.6.1.2 (Build ID: e29a214)
Windows 7 SP1 32 bit
Comment 1 Jean-Baptiste Faure 2012-09-15 08:29:31 UTC
I do not reproduce with LO 3.6.2.1 (RC1 not final) under Ubuntu 12.04 x86_86 with gnome-shell.
Comment 2 Rainer Bielefeld Retired 2012-09-25 05:26:59 UTC
[Reproducible] with Server Installation of  "LibreOffice 3.6.0.4  English UI/ German Locale [Build-ID:  932b512] on German WIN7 Home Premium (64bit) 

Already [Reproducible] with Server Installation of "LibreOffice 3.3.3  German UI/Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit) and also wiht AOOo 3.4.1. 

So I think problem is inherited from AOOo 

Worked fine with OOo 1.1.5

Also Reproducible with LibO 3.5.2.2 on Ubuntu 12.04 64 Bit (VirtualBox)

Still [Reproducible] with parallel installation of Master "LOdev  3.7.0.0.alpha0+   -  ENGLISH UI / German Locale  [Build ID: 24761a6]"  {tinderbox: @6, pull time 2012-09-18 23:21:04} on German WIN7 Home Premium (64bit)

Steps how to reproduce with 3.6.2.1 (same as reported):
1. Open attached Sample.odt
   > Connector might be not connected to shapes
2. do some smaller moves with the shapes until connector is connected
3. if current zoom is smaller than 100%, double zoom factor, if current zoom
   is bigger than 100%, change to half zoom factor
   Expected: Connector still connected
   Actual: Connector horizontally shifted compared to expected position

I think it's not a simple redraw problem, also Print Preview and Page Preview shows connector at new wrong position disconnected from shapes

@Jean-Baptiste
Are you really sure? It's strange that only your particular version does not show the problem.

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 3 Rainer Bielefeld Retired 2012-09-25 05:38:20 UTC
Created attachment 67663 [details]
Sample document

See comment before how to use
Comment 4 educmale 2012-10-24 13:51:29 UTC
I've discovered the artifact that causes the reporter's bug, and can reproduce it at will

The copied connector, when deposited in Writer, lands as anchored to a paragraph.  If the connector is changed to page-anchoring, the bug disappears.

The bug does not occur in Calc - which is where I first used the workaround. There, there is no page/paragraph anchoring.

I can't speak to whether the landing trait for the pasted connector (ie, paragraph anchored) is the landing trait for all versions/platforms of LibreOffice -- this could explain why some folks might not see the bug?

I am using 3.6.2.2 on Win7

I executed the test in Writer, pasting the connector to a blank/new document, and creating a flowchart symbol native to Writer.  I attached the two, and then slid the zoom around, creating the bug behavior.   I then changed the anchoring on both to page, and the behavior changed.  I was able to change the behavior by changing only the connector to page.   Note: given the fact of character, page and paragraph anchoring possibilities, there is probably some thinking to do, with connectors, to determine what would be 'normal', 'expected' behavior for connectors in different circumstances.   I would assume that no matter what happens to the placement of the underlying object, the connection is maintained...

----------------

Any idea when the long term project to unify the drawing tools will be completed?

Is the plan to include/unify across -all- modules?  (this would make sense...)

Which version will introduce the unification?
Comment 5 educmale 2012-10-24 13:53:07 UTC
Changed version to 3.6.2.2, the current release
Comment 6 Rainer Bielefeld Retired 2012-10-24 17:36:26 UTC
<http://wiki.documentfoundation.org/BugReport_Details#Version>
Comment 7 QA Administrators 2015-04-01 14:40:51 UTC Comment hidden (obsolete)
Comment 8 Jean-Baptiste Faure 2015-04-09 07:07:46 UTC
Problem still there in LibreOffice 4.4.3.0.0+ built at home under Ubuntu 14.10 x86-64.

Workaround: No problem if the connector and the connected objects are grouped.

Best regards. JBF
Comment 9 tommy27 2016-04-16 07:27:04 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2017-05-22 13:23:29 UTC Comment hidden (obsolete)
Comment 11 Jean-Baptiste Faure 2017-07-22 16:31:41 UTC
Nothing changed in LO 5.4.1.0.0+ and workaround from comment #8 still works.

Best regards. JBF
Comment 12 QA Administrators 2018-07-23 02:32:44 UTC Comment hidden (obsolete)
Comment 13 user234683 2018-10-12 08:31:54 UTC
Still occurring on Version 6.1.1.2 (x64) Windows 7. Workaround from comment #8 still works.
Comment 14 QA Administrators 2019-10-13 02:33:59 UTC
Dear Lekow,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug